//////////////////////////////////////////////////////////////////////////
// This program prompts for a test character from the
// keyboard and then for a string of up to 26 characters
// that may or may not contain the test character.  The
// program counts the number of occurrences of the test
// character in the input string and prints the result
// to the screen.
//
//                  thomas l. gibson November 8, 2007
//////////////////////////////////////////////////////////////////////////
#include <iostream>              // Needed for cin/cout
#include <cstdlib>               // Needed for system calls
using namespace std;

int main() 
{
  const int max=26;
  int i,count=0;
  char string[max + 1];          // One extra for string terminator
  char test;                     // Test character
  char dummy;                    // Char variable for dangling \n

  system("clear");
  cout << "Hello, please input an alphabetic test character. ";
  cin.get(test);
  cout << endl;
  cout << "The test character is " << test << endl;
  cout << endl;
  cout << "Now, please input a string with up to 26 alphabetic characters" << endl;
  cin.get(dummy);                // Read pesky \n
  cin.getline(string,max + 1);   // Reads max characters

  for(i = 0; i < max; i++) 
  {
    if(string[i] == test) 
    {
      count++;
    }
  }
  cout << "Number of occurrences of the test character = " 
       << count << endl;
  return EXIT_SUCCESS;
}
